Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 778989 - net-analyzer/prelude-lml-5.2.0 - prelude-lml.c:(<snip>) undefined reference to lt_PROGRAM_LTX_preloaded_symbols
Summary: net-analyzer/prelude-lml-5.2.0 - prelude-lml.c:(<snip>) undefined reference t...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: slibtool
  Show dependency tree
 
Reported: 2021-03-28 18:10 UTC by Toralf Förster
Modified: 2022-12-20 14:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,19.41 KB, text/plain)
2021-03-28 18:10 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,436.34 KB, text/plain)
2021-03-28 18:10 UTC, Toralf Förster
Details
environment (environment,76.93 KB, text/plain)
2021-03-28 18:10 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,29.67 KB, application/x-bzip)
2021-03-28 18:10 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,33.08 KB, application/x-bzip)
2021-03-28 18:10 UTC, Toralf Förster
Details
net-analyzer:prelude-lml-5.2.0:20210328-174005.log (net-analyzer:prelude-lml-5.2.0:20210328-174005.log,159.98 KB, text/plain)
2021-03-28 18:10 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,37.25 KB, application/x-bzip)
2021-03-28 18:10 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-03-28 18:10:12 UTC
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: prelude-lml.o: warning: relocation against `lt__PROGRAM__LTX_preloaded_symbols' in read-only section `.text.startup'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: prelude-lml.o: in function `main':
prelude-lml.c:(.text.startup+0x90): undefined reference to `lt__PROGRAM__LTX_preloaded_symbols'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: warning: creating DT_TEXTREL in a PIE
collect2: error: ld returned 1 exit status
rdlibtool: exec error upon slbt_exec_link_create_executable(), line 1614: (see child process error messages).

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma_systemd-20210315-143628

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-10.2.0 *
clang version 11.1.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/11/bin
/usr/lib/llvm/11
11.1.0
Python 3.8.8
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby27 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.50.0 *
The following VMs are available for generation-2:
1)	IcedTea JDK 3.17.1 [icedtea-8]
2)	IcedTea JDK 3.16.0 [icedtea-bin-8]
3)	OpenJDK 8.282_p08 [openjdk-8]
*)	AdoptOpenJDK 8.282_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-8 
  [2]   icedtea-bin-8 
  [3]   openjdk-8 
  [4]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Sun Mar 28 17:05:44 UTC 2021

emerge -qpvO net-analyzer/prelude-lml
[ebuild  N    ] net-analyzer/prelude-lml-5.2.0  USE="icu ssl"
Comment 1 Toralf Förster gentoo-dev 2021-03-28 18:10:14 UTC
Created attachment 695646 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-03-28 18:10:15 UTC
Created attachment 695649 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2021-03-28 18:10:17 UTC
Created attachment 695652 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2021-03-28 18:10:18 UTC
Created attachment 695655 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2021-03-28 18:10:19 UTC
Created attachment 695658 [details]
logs.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-03-28 18:10:21 UTC
Created attachment 695661 [details]
net-analyzer:prelude-lml-5.2.0:20210328-174005.log
Comment 7 Toralf Förster gentoo-dev 2021-03-28 18:10:22 UTC
Created attachment 695664 [details]
temp.tar.bz2
Comment 8 orbea 2021-03-28 18:27:25 UTC
Upstream issue: https://dev.midipix.org/cross/slibtool/issue/2
Comment 9 orbea 2022-07-10 21:00:21 UTC
The ltdl dependency is from dev-libs/libprelude and it either needs to be removed there or supported in slibtool.
Comment 10 Larry the Git Cow gentoo-dev 2022-12-20 14:26:21 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8e67fb7eeddbd4eddec7d06669aa7a94620b120

commit d8e67fb7eeddbd4eddec7d06669aa7a94620b120
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2022-12-20 13:49:30 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2022-12-20 14:25:21 +0000

    net-analyzer/prelude-lml: treeclean
    
    Closes: https://bugs.gentoo.org/861233
    Closes: https://bugs.gentoo.org/778989
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 net-analyzer/prelude-lml/Manifest                  |  1 -
 .../prelude-lml/files/prelude-lml-3.0.0-conf.patch | 22 --------
 .../prelude-lml/files/prelude-lml-3.1.0-run.patch  | 14 -----
 net-analyzer/prelude-lml/files/prelude-lml.initd   | 26 ---------
 net-analyzer/prelude-lml/files/prelude-lml.run     |  4 --
 net-analyzer/prelude-lml/files/prelude-lml.service | 13 -----
 net-analyzer/prelude-lml/metadata.xml              | 12 ----
 net-analyzer/prelude-lml/prelude-lml-5.2.0.ebuild  | 64 ----------------------
 profiles/package.mask                              |  1 -
 9 files changed, 157 deletions(-)